repo/gentoo:master commit in: sys-devel/gcc/
"Sam James" <[email protected]> Sun, 02 Aug 2026 23:27:28 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785712929.38a66b8f78d08c03c45944c18882c22340b78ba7.sam@gentoo> |
commit: 38a66b8f78d08c03c45944c18882c22340b78ba7
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 2 23:22:09 2026 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Aug 2 23:22:09 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38a66b8f
sys-devel/gcc: add 16.1.1_p20260731 (RC1)
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-devel/gcc/Manifest | 1 +
sys-devel/gcc/gcc-16.1.1_p20260731.ebuild | 57 +++++++++++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/sys-devel/gcc/Manifest b/sys-devel/gcc/Manifest
index b5fb048e4198..dfeb828758dd 100644
--- a/sys-devel/gcc/Manifest
+++ b/sys-devel/gcc/Manifest
@@ -96,6 +96,7 @@ DIST gcc-16.1.0-patches-1.tar.xz 25128 BLAKE2B 487f8e1f204b8218ae54ef093fd3b99dd
DIST gcc-16.1.0-patches-2.tar.xz 26584 BLAKE2B 3597414aa1bedace5444834778bb666fc3372f3703975d5bc4656a792dbe498a76be582254bb3400f157cfcce2925c117d19595380fa2ffb6dab1e6f0d36ad57 SHA512 480a457b8944df5dd189c912d76457d650c348bce161465fd6031dd7c2803f8f9b26ef31b4ae8a8770c88eaa9c59a42c06ee1be3e1c8ec718974dda8b38a84ad
DIST gcc-16.1.0-patches-3.tar.xz 25156 BLAKE2B 874afd3239c0794082568738c837786fff71ad48c24677c11110630fc6e0c0baf17720aec53dc7cd6580102a3a3b7daa2b78c82488f758af8afcb6cd5621ee25 SHA512 dbead66ac0899e2833e88cd7a95b12d2f2dd1379ec3cc085701efd7f8e446feff4d6c00f1481026bb9c699487a143f6a429a8f95ad7228f8bbef5faf2d1b5a5e
DIST gcc-16.1.0.tar.xz 102456900 BLAKE2B ceb07866b6b17eb4c69a6b51241b275bc5ec506603a7c1a4c1e2585091a09fc647be945beeff76700bffd9018bda81b072d84f909fd7998baa0cfe3f0eb550b4 SHA512 b3454958891ab47e1e5b6cb9396c0ad3b04f32fe2a7bf1153a143f21013fdb6b295ca94c98964698a688e4c1d7555ffd8ffbc20187507cce6b1c32cbcc09897a
+DIST gcc-16.2.0-RC-20260731.tar.xz 102640936 BLAKE2B f737ebd3e6a1991a1346ebaabde753bdb7e27d467a4749874139e704495a2fbc090db9cb0a5bbb0a53f13d82fc9e4ed26e8087549c9e643717d2a057a0aac903 SHA512 c87a7ce2bceeafc351f9c9158c02782babc78afd42d122d0c51fe397000a04a2a15f7ddec10ca8f68368828330684844322cb1347ab22ce79db862e01f1e56c2
DIST gcc-17-20260426.tar.xz 98950460 BLAKE2B 05e078c2e71ae5877172d1940ca150e4bfccda156acab2594f8794cef99e25d161965c32827c7f720ffd193d25e41d31632dc36920f4fcece8a66b01eb136184 SHA512 a51cdd6ab718c545aa6a85594f4d92defdf87eee914f37c5556cbdbaae52c1683b8a106c0d22eb3ba4b5f1a1ebddcf5c9d9a3182f6c71b796b95276cf7c7cf41
DIST gcc-17-20260503.tar.xz 98970580 BLAKE2B 5b2046d78d8519fa0e29e61731bfba80c1a3108e8b981afa2c98362bcb5a525113c3fa3b168c8244e3dc65f99c5f445b675fc2de1c51039ed994667f88e73449 SHA512 18c1257fe9012c43a3d6121a9cc1244fb0b42b3951a136e34a58741e4aa71a9ed0c11014ca3e5ccc1cc81c22eb07bf134b25c072a7da470238306d3d36d6dcb2
DIST gcc-17-20260510.tar.xz 98978656 BLAKE2B e5b26081251772e47819c7848c834a2b1e3ad3421bac0e407b7abe6d30635c394c49a04f845b53622b2833e5941b853e2985a395c50152b9aa076aacbf0da278 SHA512 79748b2df412adfe5578a24d4698a17cd505d532b520b2bad0fde1cf8d21b7593958f565de289d301fa322002edc1a506b19076c84c65e3f1afd65d1d3c96f2b
diff --git a/sys-devel/gcc/gcc-16.1.1_p20260731.ebuild b/sys-devel/gcc/gcc-16.1.1_p20260731.ebuild
new file mode 100644
index 000000000000..f0ea5fce67dc
--- /dev/null
+++ b/sys-devel/gcc/gcc-16.1.1_p20260731.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Maintenance notes and explanations of GCC handling are on the wiki:
+# https://wiki.gentoo.org/wiki/Project:Toolchain/sys-devel/gcc
+
+TOOLCHAIN_GCC_RC=1
+TOOLCHAIN_HAS_TESTS=1
+PATCH_GCC_VER="16.1.0"
+PATCH_VER="3"
+MUSL_VER="1"
+MUSL_GCC_VER="16.1.0"
+PYTHON_COMPAT=( python3_{11..14} )
+
+if [[ -n ${TOOLCHAIN_GCC_RC} ]] ; then
+ # Cheesy hack for RCs
+ MY_PV=$(ver_cut 1).$((($(ver_cut 2) + 1))).$((($(ver_cut 3) - 1)))-RC-$(ver_cut 5)
+ MY_P=${PN}-${MY_PV}
+ GCC_TARBALL_SRC_URI="mirror://gcc/snapshots/${MY_PV}/${MY_P}.tar.xz"
+ TOOLCHAIN_SET_S=no
+ S="${WORKDIR}"/${MY_P}
+fi
+
+inherit toolchain
+
+if tc_is_live ; then
+ # Needs to be after inherit (for now?), bug #830908
+ EGIT_BRANCH=master
+elif [[ -z ${TOOLCHAIN_USE_GIT_PATCHES} ]] ; then
+ # Don't keyword live ebuilds
+ #KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+ :;
+fi
+
+if [[ ${CATEGORY} != cross-* ]] ; then
+ # Technically only if USE=hardened *too* right now, but no point in complicating it further.
+ # If GCC is enabling CET by default, we need glibc to be built with support for it.
+ # bug #830454
+ RDEPEND="elibc_glibc? ( sys-libs/glibc[cet(-)?] )"
+ DEPEND="${RDEPEND}"
+fi
+
+src_prepare() {
+ local p upstreamed_patches=(
+ # add them here
+ )
+ for p in "${upstreamed_patches[@]}"; do
+ rm -v "${WORKDIR}/patch/${p}" || die
+ done
+
+ toolchain_src_prepare
+ eapply "${FILESDIR}"/${PN}-13-fix-cross-fixincludes.patch
+ [[ ${CHOST} == m68k-* ]] && eapply "${FILESDIR}"/${PN}-15-m68k-workaround.patch
+ eapply_user
+}